Index: LMDZ5/branches/testing/libf/phylmd/phys_output_mod.F90
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/phys_output_mod.F90	(revision 1796)
+++ LMDZ5/branches/testing/libf/phylmd/phys_output_mod.F90	(revision 1864)
@@ -309,519 +371,97 @@
                levmax(iff) - levmin(iff) + 1,Bhyb,nvertbp(iff))
 
-          CALL histvert(nid_files(iff), "Alt","Height approx for scale heigh of 8km at levels", "Km", &
+          CALL histvert(nid_files(iff), "Alt","Height approx for scale heigh of 8km at levels", "Km", &                       
                levmax(iff) - levmin(iff) + 1,Alt,nvertAlt(iff))
 
-          !   CALL histvert(nid_files(iff), "preff","Reference pressure", "Pa", &
-          !                 1,preff,nvertp0(iff))
-!!! Champs 1D !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-    CALL histdef2d(iff,o_aire)
-    CALL histdef2d(iff,o_contfracATM)
-
-!!! Champs 2D !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-    CALL histdef2d(iff,o_phis)
-    CALL histdef2d(iff,o_contfracOR)
-    CALL histdef2d(iff,o_aireTER)
-    CALL histdef2d(iff,o_flat)
-    CALL histdef2d(iff,o_slp)
-    CALL histdef2d(iff,o_tsol)
-    CALL histdef2d(iff,o_t2m)
-    CALL histdef2d(iff,o_t2m_min)
-    CALL histdef2d(iff,o_t2m_max)
-    CALL histdef2d(iff,o_wind10m)
-    CALL histdef2d(iff,o_wind10max)
-    CALL histdef2d(iff,o_sicf)
-    CALL histdef2d(iff,o_q2m)
-    CALL histdef2d(iff,o_ustar)
-    CALL histdef2d(iff,o_u10m)
-    CALL histdef2d(iff,o_v10m)
-    CALL histdef2d(iff,o_psol)
-    CALL histdef2d(iff,o_qsurf)
-
-    IF (.NOT. ok_veget) THEN
-      CALL histdef2d(iff,o_qsol)
-    ENDIF
-    CALL histdef2d(iff,o_ndayrain)
-    CALL histdef2d(iff,o_precip)
-    CALL histdef2d(iff,o_plul)
-    CALL histdef2d(iff,o_pluc)
-    CALL histdef2d(iff,o_snow)
-    CALL histdef2d(iff,o_msnow)
-    CALL histdef2d(iff,o_fsnow)
-    CALL histdef2d(iff,o_evap)
-    CALL histdef2d(iff,o_tops)
-    CALL histdef2d(iff,o_tops0)
-    CALL histdef2d(iff,o_topl)
-    CALL histdef2d(iff,o_topl0)
-    CALL histdef2d(iff,o_SWupTOA)
-    CALL histdef2d(iff,o_SWupTOAclr)
-    CALL histdef2d(iff,o_SWdnTOA)
-    CALL histdef2d(iff,o_SWdnTOAclr)
-    CALL histdef2d(iff,o_nettop)
-    CALL histdef2d(iff,o_SWup200)
-    CALL histdef2d(iff,o_SWup200clr)
-    CALL histdef2d(iff,o_SWdn200)
-    CALL histdef2d(iff,o_SWdn200clr)
-    CALL histdef2d(iff,o_LWup200)
-    CALL histdef2d(iff,o_LWup200clr)
-    CALL histdef2d(iff,o_LWdn200)
-    CALL histdef2d(iff,o_LWdn200clr)
-    CALL histdef2d(iff,o_sols)
-    CALL histdef2d(iff,o_sols0)
-    CALL histdef2d(iff,o_soll)
-    CALL histdef2d(iff,o_radsol)
-    CALL histdef2d(iff,o_soll0)
-    CALL histdef2d(iff,o_SWupSFC)
-    CALL histdef2d(iff,o_SWupSFCclr)
-    CALL histdef2d(iff,o_SWdnSFC)
-    CALL histdef2d(iff,o_SWdnSFCclr)
-    CALL histdef2d(iff,o_LWupSFC)
-    CALL histdef2d(iff,o_LWdnSFC)
-    CALL histdef2d(iff,o_LWupSFCclr)
-    CALL histdef2d(iff,o_LWdnSFCclr)
-    CALL histdef2d(iff,o_bils)
-    CALL histdef2d(iff,o_bils_ec)
-    CALL histdef2d(iff,o_bils_tke)
-    CALL histdef2d(iff,o_bils_diss)
-    CALL histdef2d(iff,o_bils_kinetic)
-    CALL histdef2d(iff,o_bils_enthalp)
-    CALL histdef2d(iff,o_bils_latent)
-    CALL histdef2d(iff,o_sens)
-    CALL histdef2d(iff,o_fder)
-    CALL histdef2d(iff,o_ffonte)
-    CALL histdef2d(iff,o_fqcalving)
-    CALL histdef2d(iff,o_fqfonte)
-    CALL histdef2d(iff,o_taux)
-    CALL histdef2d(iff,o_tauy)
-
-    DO nsrf = 1, nbsrf
-      CALL histdef2d(iff,o_pourc_srf(nsrf))
-      CALL histdef2d(iff,o_fract_srf(nsrf))
-      CALL histdef2d(iff, o_taux_srf(nsrf))
-      CALL histdef2d(iff, o_tauy_srf(nsrf))
-      CALL histdef2d(iff, o_tsol_srf(nsrf))
-      CALL histdef2d(iff, o_evappot_srf(nsrf))
-      CALL histdef2d(iff, o_ustar_srf(nsrf))
-      CALL histdef2d(iff, o_u10m_srf(nsrf))
-      CALL histdef2d(iff, o_evap_srf(nsrf))
-      CALL histdef2d(iff, o_v10m_srf(nsrf))
-      CALL histdef2d(iff, o_t2m_srf(nsrf))
-      CALL histdef2d(iff, o_sens_srf(nsrf))
-      CALL histdef2d(iff, o_lat_srf(nsrf))
-      CALL histdef2d(iff, o_flw_srf(nsrf))
-      CALL histdef2d(iff, o_fsw_srf(nsrf))
-      CALL histdef2d(iff, o_wbils_srf(nsrf))
-      CALL histdef2d(iff, o_wbilo_srf(nsrf))
-      IF (iflag_pbl>1 ) then
-            CALL histdef2d(iff, o_tke_srf(nsrf))
-            CALL histdef2d(iff, o_tke_max_srf(nsrf))
-      ENDIF
-
-      CALL histdef2d(iff, o_albe_srf(nsrf))
-      CALL histdef2d(iff, o_rugs_srf(nsrf))
-      CALL histdef2d(iff, o_ages_srf(nsrf))
-    END DO
-
-    IF (new_aod .AND. (.NOT. aerosol_couple)) THEN
-      IF (ok_ade.OR.ok_aie) THEN
-          CALL histdef2d(iff,o_od550aer)
-          CALL histdef2d(iff,o_od865aer)
-          CALL histdef2d(iff,o_absvisaer)
-          CALL histdef2d(iff,o_od550lt1aer)
-          CALL histdef2d(iff,o_sconcso4)
-          CALL histdef2d(iff,o_sconcoa)
-          CALL histdef2d(iff,o_sconcbc)
-          CALL histdef2d(iff,o_sconcss)
-          CALL histdef2d(iff,o_sconcdust)
-          CALL histdef3d(iff,o_concso4)
-          CALL histdef3d(iff,o_concoa)
-          CALL histdef3d(iff,o_concbc)
-          CALL histdef3d(iff,o_concss)
-          CALL histdef3d(iff,o_concdust)
-          CALL histdef2d(iff,o_loadso4)
-          CALL histdef2d(iff,o_loadoa)
-          CALL histdef2d(iff,o_loadbc)
-          CALL histdef2d(iff,o_loadss)
-          CALL histdef2d(iff,o_loaddust)
-!--STRAT AER
-      ENDIF
-      IF (ok_ade.OR.ok_aie.OR.flag_aerosol_strat) THEN
-        DO naero = 1, naero_spc
-          CALL histdef2d(iff, o_tausumaero(naero))
-        END DO
-      ENDIF
-    ENDIF
-
-    IF (ok_ade) THEN
-      CALL histdef2d(iff,o_topswad)
-      CALL histdef2d(iff,o_topswad0)
-      CALL histdef2d(iff,o_solswad)
-      CALL histdef2d(iff,o_solswad0)
-      CALL histdef2d(iff,o_swtoaas_nat)
-      CALL histdef2d(iff,o_swsrfas_nat)
-      CALL histdef2d(iff,o_swtoacs_nat)
-      CALL histdef2d(iff,o_swsrfcs_nat)
-      CALL histdef2d(iff,o_swtoaas_ant)
-      CALL histdef2d(iff,o_swsrfas_ant)
-      CALL histdef2d(iff,o_swtoacs_ant)
-      CALL histdef2d(iff,o_swsrfcs_ant)
-
-      IF (.NOT. aerosol_couple) THEN 
-            CALL histdef2d(iff,o_swtoacf_nat)
-            CALL histdef2d(iff,o_swsrfcf_nat)
-            CALL histdef2d(iff,o_swtoacf_ant)
-            CALL histdef2d(iff,o_swsrfcf_ant)
-            CALL histdef2d(iff,o_swtoacf_zero)
-            CALL histdef2d(iff,o_swsrfcf_zero)
-      ENDIF
-    ENDIF
-
-    IF (ok_aie) THEN
-      CALL histdef2d(iff,o_topswai)
-      CALL histdef2d(iff,o_solswai)
-                  !Cloud droplet number concentration
-      CALL histdef3d(iff,o_scdnc)
-      CALL histdef2d(iff,o_cldncl)
-      CALL histdef3d(iff,o_reffclws)
-      CALL histdef3d(iff,o_reffclwc)
-      CALL histdef2d(iff,o_cldnvi)
-      CALL histdef3d(iff,o_lcc3d)
-      CALL histdef3d(iff,o_lcc3dcon)
-      CALL histdef3d(iff,o_lcc3dstra)
-      CALL histdef2d(iff,o_lcc)
-      CALL histdef2d(iff,o_reffclwtop)
-    ENDIF
-    CALL histdef2d(iff,o_alb1)
-    CALL histdef2d(iff,o_alb2)
-    CALL histdef2d(iff,o_cdrm)
-    CALL histdef2d(iff,o_cdrh)
-    CALL histdef2d(iff,o_cldl)
-    CALL histdef2d(iff,o_cldm)
-    CALL histdef2d(iff,o_cldh)
-    CALL histdef2d(iff,o_cldt)
-    CALL histdef2d(iff,o_cldq)
-    CALL histdef2d(iff,o_lwp)
-    CALL histdef2d(iff,o_iwp)
-    CALL histdef2d(iff,o_ue)
-    CALL histdef2d(iff,o_ve)
-    CALL histdef2d(iff,o_uq)
-    CALL histdef2d(iff,o_vq)
-
-    IF(iflag_con.GE.3) THEN ! sb
-      CALL histdef2d(iff,o_cape)
-      CALL histdef2d(iff,o_pbase)
-      CALL histdef2d(iff,o_ptop)
-      CALL histdef2d(iff,o_fbase)
-      IF (iflag_con /= 30) THEN
-            CALL histdef2d(iff,o_plcl)
-            CALL histdef2d(iff,o_plfc)
-            CALL histdef2d(iff,o_wbeff)
-      ENDIF
-      CALL histdef2d(iff,o_cape_max)
-      CALL histdef3d(iff,o_upwd)
-      CALL histdef3d(iff,o_Ma)
-      CALL histdef3d(iff,o_dnwd)
-      CALL histdef3d(iff,o_dnwd0)
-      CALL histdef3d(iff,o_mc)
-      CALL histdef2d(iff,o_ftime_con)
-    ENDIF !iflag_con .GE. 3
-    CALL histdef2d(iff,o_prw)
-    CALL histdef2d(iff,o_s_pblh)
-    CALL histdef2d(iff,o_s_pblt)
-    CALL histdef2d(iff,o_s_lcl)
-    CALL histdef2d(iff,o_s_therm)
-          !IM : Les champs suivants (s_oliqCL, s_cteiCL, s_trmb1, s_trmb2, s_trmb3) ne sont pas definis dans HBTM.F
-          !CALL histdef2d(iff, &
-          !o_s_capCL%flag,o_s_capCL%name, "Conv avlbl pot enerfor ABL", "J/m2" )
-          !CALL histdef2d(iff, &
-          !o_s_oliqCL%flag,o_s_oliqCL%name, "Liq Water in BL", "kg/m2")
-          !CALL histdef2d(iff, &
-          !o_s_cteiCL%flag,o_s_cteiCL%name, "Instability criteria(ABL)", "K")
-          !CALL histdef2d(iff, &
-          !o_s_trmb1%flag,o_s_trmb1%name, "deep_cape(HBTM2)", "J/m2")
-          !CALL histdef2d(iff, &
-          !o_s_trmb2%flag,o_s_trmb2%name, "inhibition (HBTM2)", "J/m2")
-          !CALL histdef2d(iff, &
-          !o_s_trmb3%flag,o_s_trmb3%name, "Point Omega (HBTM2)", "m")
-
-          ! Champs interpolles sur des niveaux de pression
-
-          ! Attention a reverifier
-
-    ilev=0        
-    DO k=1, nlevSTD
-      bb2=clevSTD(k)
-      IF(bb2.EQ."850".OR.bb2.EQ."700".OR.bb2.EQ."500".OR.bb2.EQ."200" &
-                  .OR.bb2.EQ."100".OR.bb2.EQ."50".OR.bb2.EQ."10")THEN
-            ilev=ilev+1
-            !     print*,'ilev k bb2 flag name ',ilev,k, bb2,o_uSTDlevs(ilev)%flag,o_uSTDlevs(ilev)%name
-            CALL histdef2d(iff,o_uSTDlevs(ilev))
-            CALL histdef2d(iff,o_vSTDlevs(ilev))
-            CALL histdef2d(iff,o_wSTDlevs(ilev))
-            CALL histdef2d(iff,o_zSTDlevs(ilev))
-            CALL histdef2d(iff,o_qSTDlevs(ilev))
-            CALL histdef2d(iff,o_tSTDlevs(ilev))
-      ENDIF !(bb2.EQ."850".OR.bb2.EQ."700".OR."500".OR.bb2.EQ."200".OR.bb2.EQ."50".OR.bb2.EQ."10")
-    ENDDO
-
-    CALL histdef2d(iff,o_t_oce_sic)
-
-    IF (type_ocean=='slab') THEN
-      CALL histdef2d(iff,o_slab_bils)
-    ENDIF
-
-    ! Couplage conv-CL
-    IF (iflag_con.GE.3) THEN
-      IF (iflag_coupl>=1) THEN
-            CALL histdef2d(iff,o_ale_bl)
-            CALL histdef2d(iff,o_alp_bl)
-      ENDIF
-    ENDIF !(iflag_con.GE.3)
-
-    CALL histdef2d(iff,o_weakinv)
-    CALL histdef2d(iff,o_dthmin)
-
-    CALL histdef2d(iff,o_rh2m)
-    CALL histdef2d(iff,o_rh2m_min)
-    CALL histdef2d(iff,o_rh2m_max)
-
-    CALL histdef2d(iff,o_qsat2m)
-    CALL histdef2d(iff,o_tpot)
-    CALL histdef2d(iff,o_tpote)
-    CALL histdef2d(iff,o_SWnetOR)
-    CALL histdef2d(iff,o_SWdownOR)
-    CALL histdef2d(iff,o_LWdownOR)
-    CALL histdef2d(iff,o_snowl)
-    CALL histdef2d(iff,o_solldown)
-    CALL histdef2d(iff,o_dtsvdfo)
-    CALL histdef2d(iff,o_dtsvdft)
-    CALL histdef2d(iff,o_dtsvdfg)
-    CALL histdef2d(iff,o_dtsvdfi)
-    CALL histdef2d(iff,o_rugs)
-
-          ! Champs 3D:
-    CALL histdef3d(iff,o_ec550aer)
-    CALL histdef3d(iff,o_lwcon)
-    CALL histdef3d(iff,o_iwcon)
-    CALL histdef3d(iff,o_temp)
-    CALL histdef3d(iff,o_theta)
-    CALL histdef3d(iff,o_ovap)
-    CALL histdef3d(iff,o_oliq)
-    CALL histdef3d(iff,o_ovapinit)
-    CALL histdef3d(iff,o_geop)
-    CALL histdef3d(iff,o_vitu)
-    CALL histdef3d(iff,o_vitv)
-    CALL histdef3d(iff,o_vitw)
-    CALL histdef3d(iff,o_pres)
-    CALL histdef3d(iff,o_paprs)
-    CALL histdef3d(iff,o_mass)
-    CALL histdef3d(iff,o_zfull)
-    CALL histdef3d(iff,o_zhalf)
-    CALL histdef3d(iff,o_rneb)
-    CALL histdef3d(iff,o_rnebcon)
-    CALL histdef3d(iff,o_rnebls)
-    CALL histdef3d(iff,o_rhum)
-    CALL histdef3d(iff,o_ozone)
-
-    IF (read_climoz == 2) THEN
-      CALL histdef3d(iff,o_ozone_light)
-    END IF
-
-    CALL histdef3d(iff,o_dtphy)
-    CALL histdef3d(iff,o_dqphy)
-    CALL histdef3d(iff,o_cldtau)
-    CALL histdef3d(iff,o_cldemi)
-!IM: bug ?? dimensionnement variables (klon,klev+1) pmflxr, pmflxs, prfl, psfl
-    CALL histdef3d(iff,o_pr_con_l)
-    CALL histdef3d(iff,o_pr_con_i)
-    CALL histdef3d(iff,o_pr_lsc_l)
-    CALL histdef3d(iff,o_pr_lsc_i)
-!Cloud droplet effective radius
-    CALL histdef3d(iff,o_re)
-    CALL histdef3d(iff,o_fl)
-!FH Sorties pour la couche limite
-    IF (iflag_pbl>1) THEN
-      CALL histdef3d(iff,o_tke)
-      CALL histdef3d(iff,o_tke_max)
-    ENDIF
-    CALL histdef3d(iff,o_kz)
-    CALL histdef3d(iff,o_kz_max)
-    CALL histdef3d(iff,o_clwcon)
-    CALL histdef3d(iff,o_dtdyn)
-    CALL histdef3d(iff,o_dqdyn)
-    CALL histdef3d(iff,o_dudyn)
-    CALL histdef3d(iff,o_dvdyn)
-    CALL histdef3d(iff,o_dtcon)
-    CALL histdef3d(iff,o_ducon)
-    CALL histdef3d(iff,o_dvcon)
-    CALL histdef3d(iff,o_dqcon)
-
-! Wakes
-    IF(iflag_con.EQ.3) THEN
-      IF (iflag_wake >= 1) THEN
-            CALL histdef2d(iff,o_ale_wk)
-            CALL histdef2d(iff,o_alp_wk)
-            CALL histdef2d(iff,o_ale)
-            CALL histdef2d(iff,o_alp)
-            CALL histdef2d(iff,o_cin)
-            CALL histdef2d(iff,o_wape)
-            CALL histdef2d(iff,o_wake_h)
-            CALL histdef2d(iff,o_wake_s)
-            CALL histdef3d(iff,o_dtwak)
-            CALL histdef3d(iff,o_dqwak)
-            CALL histdef3d(iff,o_wake_deltat)
-            CALL histdef3d(iff,o_wake_deltaq)
-            CALL histdef3d(iff,o_wake_omg)
-      ENDIF
-!!! RomP             CALL histdef3d(iff,o_Vprecip%flag,o_Vprecip%name, "precipitation vertical profile", "-")
-      CALL histdef3d(iff,o_ftd)
-      CALL histdef3d(iff,o_fqd)
-    ENDIF !(iflag_con.EQ.3)
-
-    IF(iflag_con.GE.3) THEN   !  RomP >>>
-      CALL histdef3d(iff,o_wdtrainA)
-      CALL histdef3d(iff,o_wdtrainM)
-      CALL histdef3d(iff,o_Vprecip)
-    ENDIF !(iflag_con.GE.3)   ! <<< RomP
-
-!!! nrlmd le 10/04/2012
-
-    IF (iflag_trig_bl>=1) THEN
-      CALL histdef2d(iff,o_n2)
-      CALL histdef2d(iff,o_s2)
-      CALL histdef2d(iff,o_proba_notrig)
-      CALL histdef2d(iff,o_random_notrig)
-      CALL histdef2d(iff,o_ale_bl_trig)
-      CALL histdef2d(iff,o_ale_bl_stat)
-    ENDIF  !(iflag_trig_bl>=1)
-
-    IF (iflag_clos_bl>=1) THEN
-      CALL histdef2d(iff,o_alp_bl_det)
-      CALL histdef2d(iff,o_alp_bl_fluct_m)
-      CALL histdef2d(iff,o_alp_bl_fluct_tke)
-      CALL histdef2d(iff,o_alp_bl_conv)
-      CALL histdef2d(iff,o_alp_bl_stat)
-    ENDIF  !(iflag_clos_bl>=1)
-
-!!! fin nrlmd le 10/04/2012
-    CALL histdef3d(iff,o_dtlsc)
-    CALL histdef3d(iff,o_dtlschr)
-    CALL histdef3d(iff,o_dqlsc)
-    CALL histdef3d(iff,o_beta_prec)
-    CALL histdef3d(iff,o_dtvdf)
-    CALL histdef3d(iff,o_dtdis)
-    CALL histdef3d(iff,o_dqvdf)
-    CALL histdef3d(iff,o_dteva)
-    CALL histdef3d(iff,o_dqeva)
-    CALL histdef3d(iff,o_ptconv)
-    CALL histdef3d(iff,o_ratqs)
-    CALL histdef3d(iff,o_dtthe)
-
-    IF (iflag_thermals.ge.1) THEN
-      CALL histdef3d(iff,o_dqlscth)
-      CALL histdef3d(iff,o_dqlscst)
-      CALL histdef3d(iff,o_dtlscth)
-      CALL histdef3d(iff,o_dtlscst)
-      CALL histdef2d(iff,o_plulth)
-      CALL histdef2d(iff,o_plulst)
-      CALL histdef2d(iff,o_lmaxth)
-      CALL histdef3d(iff,o_ptconvth)
-      CALL histdef3d(iff,o_f_th)
-      CALL histdef3d(iff,o_e_th)
-      CALL histdef3d(iff,o_w_th)
-      CALL histdef3d(iff,o_lambda_th)
-      CALL histdef2d(iff,o_ftime_th)
-      CALL histdef3d(iff,o_q_th)
-      CALL histdef3d(iff,o_a_th)
-      CALL histdef3d(iff,o_d_th)
-      CALL histdef2d(iff,o_f0_th)
-      CALL histdef2d(iff,o_zmax_th)
-      CALL histdef3d(iff,o_dqthe)
-    ENDIF !iflag_thermals.ge.1
-
-    CALL histdef3d(iff,o_dtajs)
-    CALL histdef3d(iff,o_dqajs)
-    CALL histdef3d(iff,o_dtswr)
-    CALL histdef3d(iff,o_dtsw0)
-    CALL histdef3d(iff,o_dtlwr)
-    CALL histdef3d(iff,o_dtlw0)
-    CALL histdef3d(iff,o_dtec)
-    CALL histdef3d(iff,o_duvdf)
-    CALL histdef3d(iff,o_dvvdf)
-
-    IF (ok_orodr) THEN
-      CALL histdef3d(iff,o_duoro)
-      CALL histdef3d(iff,o_dvoro)
-      CALL histdef3d(iff,o_dtoro)
-    ENDIF
-
-    IF (ok_orolf) THEN
-      CALL histdef3d(iff,o_dulif)
-      CALL histdef3d(iff,o_dvlif)
-      CALL histdef3d(iff,o_dtlif)
-    ENDIF
-
-    IF (ok_hines) then
-      CALL histdef3d(iff,o_duhin)
-      CALL histdef3d(iff,o_dvhin)
-      CALL histdef3d(iff,o_dthin)
-    ENDIF
-
-    CALL histdef3d(iff,o_rsu)
-    CALL histdef3d(iff,o_rsd)
-    CALL histdef3d(iff,o_rlu)
-    CALL histdef3d(iff,o_rld)
-    CALL histdef3d(iff,o_rsucs)
-    CALL histdef3d(iff,o_rsdcs)
-    CALL histdef3d(iff,o_rlucs)
-    CALL histdef3d(iff,o_rldcs)
-    CALL histdef3d(iff,o_tnt)
-    CALL histdef3d(iff,o_tntc)
-    CALL histdef3d(iff,o_tntr)
-    CALL histdef3d(iff,o_tntscpbl)
-    CALL histdef3d(iff,o_tnhus)
-    CALL histdef3d(iff,o_tnhusc)
-    CALL histdef3d(iff,o_tnhusscpbl)
-    CALL histdef3d(iff,o_evu)
-    CALL histdef3d(iff,o_h2o)
-    CALL histdef3d(iff,o_mcd)
-    CALL histdef3d(iff,o_dmc)
-    CALL histdef3d(iff,o_ref_liq)
-    CALL histdef3d(iff,o_ref_ice)
-
-    IF (RCO2_per.NE.RCO2_act.OR.RCH4_per.NE.RCH4_act.OR. &
-               RN2O_per.NE.RN2O_act.OR.RCFC11_per.NE.RCFC11_act.OR. &
-               RCFC12_per.NE.RCFC12_act) THEN
-      CALL histdef2d(iff,o_rsut4co2)
-      CALL histdef2d(iff,o_rlut4co2)
-      CALL histdef2d(iff,o_rsutcs4co2)
-      CALL histdef2d(iff,o_rlutcs4co2)
-      CALL histdef3d(iff,o_rsu4co2)
-      CALL histdef3d(iff,o_rlu4co2)
-      CALL histdef3d(iff,o_rsucs4co2)
-      CALL histdef3d(iff,o_rlucs4co2)
-      CALL histdef3d(iff,o_rsd4co2)
-      CALL histdef3d(iff,o_rld4co2)
-      CALL histdef3d(iff,o_rsdcs4co2)
-      CALL histdef3d(iff,o_rldcs4co2)
-
-    ENDIF
-
+          else
+             CALL histvert(nid_files(iff), "plev", "pressure", "Pa", &
+               levmax(iff) - levmin(iff) + 1, &
+              rlevSTD(levmin(iff):levmax(iff)), nvertm(iff), "down")
+          endif
+#endif
 
       IF (nqtot>=3) THEN
             DO iq=3,nqtot  
             iiq=niadv(iq)
-            o_trac(iq-2) = ctrl_out((/ 4, 5, 1, 1, 1, 10 /),tname(iiq),'Tracer '//ttext(iiq), "-",&
-                  (/ '', '', '', '', '', '' /))
-            CALL histdef3d(iff, o_trac(iq-2))
-            o_trac_cum(iq-2) = ctrl_out((/ 3, 4, 10, 10, 10, 10 /),'cum'//tname(iiq),&
-                  'Cumulated tracer '//ttext(iiq), "-", (/ '', '', '', '', '', '' /))
-            CALL histdef2d(iff, o_trac_cum(iq-2))
+            o_trac(iq-2) = ctrl_out((/ 4, 5, 1, 1, 1, 10, 11, 11, 11 /), &
+                           tname(iiq),'Tracer '//ttext(iiq), "-",  &
+                           (/ '', '', '', '', '', '', '', '', '' /))
+
+            o_dtr_vdf(iq-2) = ctrl_out((/ 5, 7, 7, 7, 10, 10, 11, 11, 11 /), &
+                              'd'//trim(tname(iq))//'_vdf',  &
+                              'Tendance tracer '//ttext(iiq), "-" , &
+                              (/ '', '', '', '', '', '', '', '', '' /))
+
+            o_dtr_the(iq-2) = ctrl_out((/ 5, 7, 7, 7, 10, 10, 11, 11, 11 /), &
+                              'd'//trim(tname(iq))//'_the', &
+                              'Tendance tracer '//ttext(iiq), "-", &
+                              (/ '', '', '', '', '', '', '', '', '' /))
+
+            o_dtr_con(iq-2) = ctrl_out((/ 5, 7, 7, 7, 10, 10, 11, 11, 11 /), &
+                              'd'//trim(tname(iq))//'_con', &
+                              'Tendance tracer '//ttext(iiq), "-", &
+                              (/ '', '', '', '', '', '', '', '', '' /))
+
+            o_dtr_lessi_impa(iq-2) = ctrl_out((/ 7, 7, 7, 7, 10, 10, 11, 11, 11 /), &
+                                     'd'//trim(tname(iq))//'_lessi_impa', &
+                                     'Tendance tracer '//ttext(iiq), "-", &
+                                     (/ '', '', '', '', '', '', '', '', '' /))
+
+            o_dtr_lessi_nucl(iq-2) = ctrl_out((/ 7, 7, 7, 7, 10, 10, 11, 11, 11 /), &
+                                     'd'//trim(tname(iq))//'_lessi_nucl', &
+                                     'Tendance tracer '//ttext(iiq), "-", &
+                                     (/ '', '', '', '', '', '', '', '', '' /))
+
+            o_dtr_insc(iq-2) = ctrl_out((/ 7, 7, 7, 7, 10, 10, 11, 11, 11 /), &
+                               'd'//trim(tname(iq))//'_insc', &
+                               'Tendance tracer '//ttext(iiq), "-", &
+                               (/ '', '', '', '', '', '', '', '', '' /))
+
+            o_dtr_bcscav(iq-2) = ctrl_out((/ 7, 7, 7, 7, 10, 10, 11, 11, 11 /), &
+                                 'd'//trim(tname(iq))//'_bcscav', &
+                                 'Tendance tracer '//ttext(iiq), "-", &
+                                 (/ '', '', '', '', '', '', '', '', '' /))
+
+            o_dtr_evapls(iq-2) = ctrl_out((/ 7, 7, 7, 7, 10, 10, 11, 11, 11 /), &
+                                 'd'//trim(tname(iq))//'_evapls', &
+                                 'Tendance tracer '//ttext(iiq), "-", &
+                                 (/ '', '', '', '', '', '', '', '', '' /))
+
+            o_dtr_ls(iq-2) = ctrl_out((/ 7, 7, 7, 7, 10, 10, 11, 11, 11 /), &
+                             'd'//trim(tname(iq))//'_ls', &
+                             'Tendance tracer '//ttext(iiq), "-", &
+                             (/ '', '', '', '', '', '', '', '', '' /))
+
+            o_dtr_trsp(iq-2) = ctrl_out((/ 7, 7, 7, 7, 10, 10, 11, 11, 11 /), &
+                               'd'//trim(tname(iq))//'_trsp', &
+                               'Tendance tracer '//ttext(iiq), "-", &
+                               (/ '', '', '', '', '', '', '', '', '' /))
+
+            o_dtr_sscav(iq-2) = ctrl_out((/ 7, 7, 7, 7, 10, 10, 11, 11, 11 /), &
+                                'd'//trim(tname(iq))//'_sscav', &
+                                'Tendance tracer '//ttext(iiq), "-", &
+                                (/ '', '', '', '', '', '', '', '', '' /))
+
+            o_dtr_sat(iq-2) = ctrl_out((/ 7, 7, 7, 7, 10, 10, 11, 11, 11 /), &
+                               'd'//trim(tname(iq))//'_sat', &
+                               'Tendance tracer '//ttext(iiq), "-", &
+                               (/ '', '', '', '', '', '', '', '', '' /))
+
+            o_dtr_uscav(iq-2) = ctrl_out((/ 7, 7, 7, 7, 10, 10, 11, 11, 11 /), &
+                                'd'//trim(tname(iq))//'_uscav', &
+                                'Tendance tracer '//ttext(iiq), "-", &
+                                 (/ '', '', '', '', '', '', '', '', '' /))
+
+            o_dtr_dry(iq-2) = ctrl_out((/ 7, 7, 7, 7, 10, 10, 11, 11, 11 /), &
+                              'cum'//'d'//trim(tname(iq))//'_dry', &
+                              'tracer tendency dry deposition'//ttext(iiq), "-", &
+                              (/ '', '', '', '', '', '', '', '', '' /))
+
+            o_trac_cum(iq-2) = ctrl_out((/ 3, 4, 10, 10, 10, 10, 11, 11, 11 /), &
+                               'cum'//tname(iiq),&
+                               'Cumulated tracer '//ttext(iiq), "-", &
+                               (/ '', '', '', '', '', '', '', '', '' /))
             ENDDO
       ENDIF
-
-      CALL histend(nid_files(iff))
-
-      ndex2d = 0
-      ndex3d = 0
 
     ENDIF ! clef_files
@@ -837,4 +477,7 @@
     ecrit_LES = ecrit_files(5)
     ecrit_ins = ecrit_files(6)
+    freq_outNMC(1) = ecrit_files(7)*86400.
+    freq_outNMC(2) = ecrit_files(8)*86400.
+    freq_outNMC(3) = ecrit_files(9)*86400.
 
     WRITE(lunout,*)'swaero_diag=',swaero_diag
@@ -842,248 +485,5 @@
   end SUBROUTINE phys_output_open
 
-  SUBROUTINE histdef2d_old (iff,lpoint,flag_var,nomvar,titrevar,unitvar)
-
-    USE ioipsl
-    USE dimphy
-    USE mod_phys_lmdz_para
-    USE iophy
-
-    IMPLICIT NONE
-
-    INCLUDE "dimensions.h"
-    INCLUDE "temps.h"
-    INCLUDE "clesphys.h"
-
-    INTEGER                          :: iff
-    LOGICAL                          :: lpoint
-    INTEGER, DIMENSION(nfiles)       :: flag_var
-    CHARACTER(LEN=20)                 :: nomvar
-    CHARACTER(LEN=*)                 :: titrevar
-    CHARACTER(LEN=*)                 :: unitvar
-
-    REAL zstophym
-
-    IF (type_ecri(iff)=='inst(X)'.OR.type_ecri(iff)=='once') THEN
-       zstophym=zoutm(iff)
-    ELSE
-       zstophym=zdtime
-    ENDIF
-
-    ! Appel a la lecture des noms et niveau d'ecriture des variables dans output.def
-    CALL conf_physoutputs(nomvar,flag_var)
-
-    IF(.NOT.lpoint) THEN  
-       IF ( flag_var(iff)<=lev_files(iff) ) THEN
-          CALL histdef (nid_files(iff),nomvar,titrevar,unitvar, &
-               iim,jj_nb,nhorim(iff), 1,1,1, -99, 32, &
-               type_ecri(iff), zstophym,zoutm(iff))                
-       ENDIF
-    ELSE
-       IF ( flag_var(iff)<=lev_files(iff) ) THEN
-          CALL histdef (nid_files(iff),nomvar,titrevar,unitvar, &
-               npstn,1,nhorim(iff), 1,1,1, -99, 32, &
-               type_ecri(iff), zstophym,zoutm(iff))                
-       ENDIF
-    ENDIF
-
-    ! Set swaero_diag=true if at least one of the concerned variables are defined 
-    IF (nomvar=='topswad' .OR. nomvar=='topswai' .OR. nomvar=='solswad' .OR. nomvar=='solswai' ) THEN
-       IF  ( flag_var(iff)<=lev_files(iff) ) THEN
-          swaero_diag=.TRUE.
-       END IF
-    END IF
-  END SUBROUTINE histdef2d_old
-
-  SUBROUTINE histdef2d (iff,var)
-
-    USE ioipsl
-    USE dimphy
-    USE mod_phys_lmdz_para
-    USE iophy
-
-    IMPLICIT NONE
-
-    INCLUDE "dimensions.h"
-    INCLUDE "temps.h"
-    INCLUDE "clesphys.h"
-
-    INTEGER                          :: iff
-    TYPE(ctrl_out)                   :: var
-
-    REAL zstophym
-    CHARACTER(LEN=20) :: typeecrit
-
-    ! ug On récupère le type écrit de la structure:
-    !       Assez moche, à refaire si meilleure méthode...
-    IF (INDEX(var%type_ecrit(iff), "once") > 0) THEN
-       typeecrit = 'once'
-    ELSE IF(INDEX(var%type_ecrit(iff), "t_min") > 0) THEN
-       typeecrit = 't_min(X)'
-    ELSE IF(INDEX(var%type_ecrit(iff), "t_max") > 0) THEN
-       typeecrit = 't_max(X)'
-    ELSE IF(INDEX(var%type_ecrit(iff), "inst") > 0) THEN
-       typeecrit = 'inst(X)'
-    ELSE
-       typeecrit = type_ecri_files(iff)
-    ENDIF
-
-    IF (typeecrit=='inst(X)'.OR.typeecrit=='once') THEN
-       zstophym=zoutm(iff)
-    ELSE
-       zstophym=zdtime
-    ENDIF
-
-    ! Appel a la lecture des noms et niveau d'ecriture des variables dans output.def
-    CALL conf_physoutputs(var%name, var%flag)
-
-    IF(.NOT.clef_stations(iff)) THEN  
-       IF ( var%flag(iff)<=lev_files(iff) ) THEN
-          CALL histdef (nid_files(iff), var%name, var%description, var%unit, &
-               iim,jj_nb,nhorim(iff), 1,1,1, -99, 32, &
-               typeecrit, zstophym,zoutm(iff))                
-       ENDIF
-    ELSE
-       IF ( var%flag(iff)<=lev_files(iff)) THEN
-          CALL histdef (nid_files(iff), var%name, var%description, var%unit, &
-               npstn,1,nhorim(iff), 1,1,1, -99, 32, &
-               typeecrit, zstophym,zoutm(iff))                
-       ENDIF
-    ENDIF
-
-    ! Set swaero_diag=true if at least one of the concerned variables are defined 
-    IF (var%name=='topswad' .OR. var%name=='topswai' .OR. var%name=='solswad' .OR. var%name=='solswai' ) THEN
-       IF  ( var%flag(iff)<=lev_files(iff) ) THEN
-          swaero_diag=.TRUE.
-       END IF
-    END IF
-  END SUBROUTINE histdef2d
-
-  SUBROUTINE histdef3d_old (iff,lpoint,flag_var,nomvar,titrevar,unitvar)
-
-    USE ioipsl
-    USE dimphy
-    USE mod_phys_lmdz_para
-    USE iophy
-
-    IMPLICIT NONE
-
-    INCLUDE "dimensions.h"
-    INCLUDE "temps.h"
-!    INCLUDE "indicesol.h"
-    INCLUDE "clesphys.h"
-
-    INTEGER                          :: iff
-    LOGICAL                          :: lpoint
-    INTEGER, DIMENSION(nfiles)       :: flag_var
-    CHARACTER(LEN=20)                 :: nomvar
-    CHARACTER(LEN=*)                 :: titrevar
-    CHARACTER(LEN=*)                 :: unitvar
-
-    REAL zstophym
-
-    ! Appel a la lecture des noms et niveau d'ecriture des variables dans output.def
-    CALL conf_physoutputs(nomvar,flag_var)
-
-    IF (type_ecri(iff)=='inst(X)'.OR.type_ecri(iff)=='once') THEN
-       zstophym=zoutm(iff)
-    ELSE
-       zstophym=zdtime
-    ENDIF
-
-    IF(.NOT.lpoint) THEN
-       IF ( flag_var(iff)<=lev_files(iff) ) THEN
-          CALL histdef (nid_files(iff), nomvar, titrevar, unitvar, &
-               iim, jj_nb, nhorim(iff), klev, levmin(iff), &
-               levmax(iff)-levmin(iff)+1, nvertm(iff), 32, type_ecri(iff), &
-               zstophym, zoutm(iff))
-       ENDIF
-    ELSE
-       IF ( flag_var(iff)<=lev_files(iff) ) THEN
-          CALL histdef (nid_files(iff), nomvar, titrevar, unitvar, &
-               npstn,1,nhorim(iff), klev, levmin(iff), &
-               levmax(iff)-levmin(iff)+1, nvertm(iff), 32, &
-               type_ecri(iff), zstophym,zoutm(iff))
-       ENDIF
-    ENDIF
-  END SUBROUTINE histdef3d_old
-
-  SUBROUTINE histdef3d (iff,var)
-
-    USE ioipsl
-    USE dimphy
-    USE mod_phys_lmdz_para
-    USE iophy
-
-    IMPLICIT NONE
-
-    INCLUDE "dimensions.h"
-    INCLUDE "temps.h"
-    INCLUDE "clesphys.h"
-
-    INTEGER                          :: iff
-    TYPE(ctrl_out)                   :: var
-
-    REAL zstophym
-    CHARACTER(LEN=20) :: typeecrit
-
-    ! ug On récupère le type écrit de la structure:
-    !       Assez moche, à refaire si meilleure méthode...
-    IF (INDEX(var%type_ecrit(iff), "once") > 0) THEN
-       typeecrit = 'once'
-    ELSE IF(INDEX(var%type_ecrit(iff), "t_min") > 0) THEN
-       typeecrit = 't_min(X)'
-    ELSE IF(INDEX(var%type_ecrit(iff), "t_max") > 0) THEN
-       typeecrit = 't_max(X)'
-    ELSE IF(INDEX(var%type_ecrit(iff), "inst") > 0) THEN
-       typeecrit = 'inst(X)'
-    ELSE
-       typeecrit = type_ecri_files(iff)
-    ENDIF
-
-
-    ! Appel a la lecture des noms et niveau d'ecriture des variables dans output.def
-    CALL conf_physoutputs(var%name,var%flag)
-
-    IF (typeecrit=='inst(X)'.OR.typeecrit=='once') THEN
-       zstophym=zoutm(iff)
-    ELSE
-       zstophym=zdtime
-    ENDIF
-
-    IF(.NOT.clef_stations(iff)) THEN
-       IF ( var%flag(iff)<=lev_files(iff) ) THEN
-          CALL histdef (nid_files(iff), var%name, var%description, var%unit, &
-               iim, jj_nb, nhorim(iff), klev, levmin(iff), &
-               levmax(iff)-levmin(iff)+1, nvertm(iff), 32, typeecrit, &
-               zstophym, zoutm(iff))
-       ENDIF
-    ELSE
-       IF ( var%flag(iff)<=lev_files(iff)) THEN
-          CALL histdef (nid_files(iff), var%name, var%description, var%unit, &
-               npstn,1,nhorim(iff), klev, levmin(iff), &
-               levmax(iff)-levmin(iff)+1, nvertm(iff), 32, &
-               typeecrit, zstophym,zoutm(iff))
-       ENDIF
-    ENDIF
-  END SUBROUTINE histdef3d
-
-  SUBROUTINE conf_physoutputs(nam_var,flag_var)
-!!! Lecture des noms et niveau de sortie des variables dans output.def
-    !   en utilisant les routines getin de IOIPSL  
-    use ioipsl
-
-    IMPLICIT NONE
-
-    include 'iniprint.h'
-
-    CHARACTER(LEN=20)                :: nam_var
-    INTEGER, DIMENSION(nfiles)      :: flag_var
-
-    IF(prt_level>10) WRITE(lunout,*)'Avant getin: nam_var flag_var ',nam_var,flag_var(:)
-    CALL getin('flag_'//nam_var,flag_var)
-    CALL getin('name_'//nam_var,nam_var)
-    IF(prt_level>10) WRITE(lunout,*)'Apres getin: nam_var flag_var ',nam_var,flag_var(:)
-
-  END SUBROUTINE conf_physoutputs
+
 
   SUBROUTINE convers_timesteps(str,dtime,timestep)
